Page MenuHomePhabricator

prometheus-varnish-exporter@frontend.service: Unit entered failed state - invalid character 'C'
Closed, ResolvedPublic

Description

found in syslog of cp1080:

14913 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]: escription": "Child process unexpected exit",
14914 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "type": "MGT", "flag": "c", "format": "i",
14915 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "value": 0
14916 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   },
14917 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   "MGT.child_died": {
14918 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "description": "Child process died (signal)",
14919 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "type": "MGT", "flag": "c", "format": "i",
14920 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "value": 0
14921 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   },
14922 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   "MGT.child_dump": {
14923 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "description": "Child process core dumped",
14924 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "type": "MGT", "flag": "c", "format": "i",
14925 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "value": 0
14926 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   },
14927 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   "MGT.child_panic": {
14928 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "description": "Child process panic",
14929 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "type": "MGT", "flag": "c", "format": "i",
14930 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:     "value": 0
14931 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]:   }
14932 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]: }
14933 Aug 30 20:20:20 cp1080 prometheus-varnish-exporter[1159]: [FATAL] Test scrape failed: invalid character 'C' looking for beginning of value
14934 Aug 30 20:20:20 cp1080 systemd[1]: prometheus-varnish-exporter@frontend.service: Main process exited, code=exited, status=1/FAILURE
14935 Aug 30 20:20:20 cp1080 systemd[1]: prometheus-varnish-exporter@frontend.service: Unit entered failed state.
14936 Aug 30 20:20:20 cp1080 systemd[1]: prometheus-varnish-exporter@frontend.service: Failed with result 'exit-code'.

Event Timeline

Dzahn created this task.Aug 30 2018, 8:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 30 2018, 8:30 PM
Dzahn added a comment.Aug 30 2018, 9:10 PM

I found this while looking at T203194 It's well possible this was only triggered because the network went down due to that issue.

But "Invalid character 'C'" might still be worth looking at?

ema triaged this task as Medium priority.Sep 3 2018, 11:36 AM
ema added a project: Traffic.
ema moved this task from Triage to Caching on the Traffic board.
lmata moved this task from Inbox to Radar on the observability board.Oct 19 2020, 3:11 PM
ema closed this task as Resolved.Oct 20 2020, 2:31 PM
ema claimed this task.
ema added a subscriber: ema.

The following now returns nothing:

cumin 'A:cp' 'journalctl -u prometheus-varnish-exporter@frontend | grep "invalid character"'

Tentatively closing, we can reopen if the error shows up again.